<?php

namespace App\Http\Controllers;

use App\Models\Specs;
use App\Models\Products;
use Illuminate\Http\Request;

class SpecsController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index($id)
    {
        $specs = Specs::inRandomOrder()
        ->where([
            ['product_id', $id]
        ])->get();
        $product = Products::find($id);
    return view('admin.products.specs',compact('specs', 'product'));
    }
    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $spec = new specs();
        $spec->product_id = $request->product_id;
       $spec->name = $request->name;
       $spec->description = $request->description;
       $spec->save();
       
       return redirect()->action([SpecsController::class, 'index'], [$request->product_id])
       ->with('success', 'Successfully added');
    }

    /**
     * Display the specified resource.
     *
     * @param  \App\Models\Specs  $specs
     * @return \Illuminate\Http\Response
     */
    public function show(Specs $specs)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\Models\Specs  $specs
     * @return \Illuminate\Http\Response
     */
    public function edit(Specs $specs)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\Models\Specs  $specs
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, Specs $specs)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\Models\Specs  $specs
     * @return \Illuminate\Http\Response
     */
    public function destroys($id)
    {
        $spec = Specs::find($id);
        $spec->delete();
       // return redirect()->action([SpecsController::class, 'index'])
       return redirect()->back()
            ->with('success', 'Spec deleted successfully,  Spec name:  '  .$spec->name);
    }
}
