<?php

namespace App\Http\Controllers;

use App\Models\Vendors;
use Illuminate\Http\Request;
use Auth;
use App\Models\Products;
use App\Models\User;
use Illuminate\Support\Facades\Hash;
use Illuminate\Support\Facades\Validator;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Str;

class VendorsController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
      
        $vendors = User::orderBy('name', 'asc')
        ->where([
          //  ['status', 'active'], 
            ['usertype', 'Vendor']
        ])->get();
    
        
        return view('admin.vendors.index',compact('vendors'));
    }
    public function active()
    {
      
        $vendors = User::orderBy('name', 'asc')
        ->where([
            ['status', 'active'], 
            ['usertype', 'Vendor']
        ])->get();
    
        
        return view('admin.vendors.active',compact('vendors'));
    }

    public function inactive()
    {
      
        $vendors = User::orderBy('name', 'asc')
        ->where([
            ['status', '!=', 'active'], 
            ['usertype', 'Vendor']
        ])->get();
    
        
        return view('admin.vendors.inactive',compact('vendors'));
    }

    public function status($id)
    {
        $vendor =  User::find($id);
        return view('admin.vendors.status',compact('vendor'));
    }

    public function statusupdate(Request $request, $id)
    {
        $request->validate([
            'status' => 'required',
            
        ]);
        $user =  User::find($id);
        $user->status = $request->status;
        $user->save();

        if($user->status == 'Inactive'){
            DB::table('products')
            ->where('user_id', $user->id)
            ->update(array('status' => 'Inactive'));
        }
        
     return redirect()->back()
       ->with('success', 'Exporter status successfully updated.');
    }
    
    public function create()
    {
        return view('admin.vendors.add_new');
    }

    public function company()
    {
        $vendor = User::find(Auth::user()->id);
        return view('admin.vendors.update_company',compact('vendor'));
    }
    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $request->validate([
            'name' => 'required|unique:users|max:255',
            'address' => 'required',
            'ohours' => 'required',
            'image' => 'image|mimes:jpeg,png,jpg,gif,svg',
            'image2' => 'image|mimes:jpeg,png,jpg,gif,svg',
            'image3' => 'mimes:pdf',
            'sector' => 'required',
            'phone' => 'required',
            'about' => 'required',
            'status' => 'required',
            'email' => 'required|unique:users|max:255',
            
        ]);
        //image 1
        if ($request->hasFile('image'))
        {
            $full_file_name = $request->file('image')->getClientOriginalName();
            $name = pathinfo($full_file_name, PATHINFO_FILENAME);
            $extension = $request->file('image')->getClientOriginalExtension();
            $file_name_to_store = $name.'_'.time().'.'.$extension;
            $path = $request->file('image')->storeAs('public/profile-photos', $file_name_to_store);
           
        }
        else
        {
            $file_name_to_store = 'logo.jpg';
        }
        //image 2
        if ($request->hasFile('image2'))
        {
            $full_file_name2 = $request->file('image2')->getClientOriginalName();
            $name2 = pathinfo($full_file_name2, PATHINFO_FILENAME);
            $extension2 = $request->file('image2')->getClientOriginalExtension();
            $file_name_to_store2 = $name2.'_'.time().'.'.$extension2;
            $path2 = $request->file('image2')->storeAs('public/profile-photos', $file_name_to_store2);
            
        }
        else
        {
            $file_name_to_store2 = 'header.jpg';
        }
        //image 3
        if ($request->hasFile('image3'))
        {
            $full_file_name3 = $request->file('image3')->getClientOriginalName();
            $name3 = pathinfo($full_file_name3, PATHINFO_FILENAME);
            $extension3 = $request->file('image3')->getClientOriginalExtension();
            $file_name_to_store3 = $name3.'_'.time().'.'.$extension3;
            $path3 = $request->file('image3')->storeAs('public/profile-photos', $file_name_to_store3);
            
        }
        else
        {
            $file_name_to_store3 = '';
        }

        $slug = Str::slug($request->name, '-');
        $user = new user();
        $user->name = $request->name;
        $user->slug = $slug;
        $user->about = $request->about;
        $user->email = $request->email;
        $user->usertype = "Vendor";
        $user->password = Hash::make('shop2021');
        $user->status = 'Active';
        $user->profile_photo_path = $file_name_to_store;
        $user->header_photo_path = $file_name_to_store2;
        $user->pdf_path = $file_name_to_store3;
        $user->phone = $request->phone;
        $user->cell = $request->cell;
        $user->address = $request->address;
        $user->sector = $request->sector;
        $user->website = $request->website;
        $user->facebook = $request->facebook;
        $user->linkedin = $request->linkedin;
        $user->whatsapp = $request->whatsapp;
        $user->twitter = $request->twitter;
        $user->ohours = $request->ohours;
        $user->save();
        $user->sendEmailVerificationNotification();

       // return redirect()->action([ProductsController::class, 'edit'], [$id])
     return redirect()->back()
       ->with('success', 'Vendor created successfully.');
    }

    public function images($id)
    {
        $vendor =  User::find($id);
        return view('admin.vendors.change_image',compact('vendor'));
    }

    public function updateimages( Request $request)
    {
        $request->validate([
        'id' => 'required',
        //'image' => 'image|mimes:jpeg,png,jpg,gif,svg',
        //'image2' => 'image|mimes:jpeg,png,jpg,gif,svg',
        //'image3' => 'mimes:pdf',
        
        
    ]);
    $old = User::find($request->id);
    //image 1
    if ($request->hasFile('image'))
    {
        $full_file_name = $request->file('image')->getClientOriginalName();
        $name = pathinfo($full_file_name, PATHINFO_FILENAME);
        $extension = $request->file('image')->getClientOriginalExtension();
        $file_name_to_store = $name.'_'.time().'.'.$extension;
        $path = $request->file('image')->storeAs('public/profile-photos', $file_name_to_store);
       
    }
    else
    {
        $file_name_to_store = $old->profile_photo_path;
    }
    //image 2
    if ($request->hasFile('image2'))
    {
        $full_file_name2 = $request->file('image2')->getClientOriginalName();
        $name2 = pathinfo($full_file_name2, PATHINFO_FILENAME);
        $extension2 = $request->file('image2')->getClientOriginalExtension();
        $file_name_to_store2 = $name2.'_'.time().'.'.$extension2;
        $path2 = $request->file('image2')->storeAs('public/profile-photos', $file_name_to_store2);
        
    }
    else
    {
        $file_name_to_store2 = $old->header_photo_path;
    }
    //image 3
    if ($request->hasFile('image3'))
    {
        $full_file_name3 = $request->file('image3')->getClientOriginalName();
        $name3 = pathinfo($full_file_name3, PATHINFO_FILENAME);
        $extension3 = $request->file('image3')->getClientOriginalExtension();
        $file_name_to_store3 = $name3.'_'.time().'.'.$extension3;
        $path3 = $request->file('image3')->storeAs('public/profile-photos', $file_name_to_store3);
        
    }
    else
    {
        $file_name_to_store3 = $old->pdf_path;
    }

    
    $user = User::find($request->id);
    $user->profile_photo_path = $file_name_to_store;
    $user->header_photo_path = $file_name_to_store2;
    $user->pdf_path = $file_name_to_store3;
    $user->save();

    return redirect()->back()
   ->with('success', 'Files successfully updated');
    }
    /**
     * Display the specified resource.
     *
     * @param  \App\Models\Vendors  $vendors
     * @return \Illuminate\Http\Response
     */
    public function show(Vendors $vendors)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\Models\Vendors  $vendors
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $vendor =  User::find($id);
        return view('admin.vendors.edit',compact('vendor'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\Models\Vendors  $vendors
     * @return \Illuminate\Http\Response
     */
    public function updatefile(Request $request, Vendors $vendors)
    {
        //
    }

    public function updates(Request $request)
    {
        $request->validate([
            'name' => 'required|max:255',
            'address' => 'required',
            'ohours' => 'required',
            'sector' => 'required',
            'phone' => 'required',
            'about' => 'required',
            
        ]);
        $slug = Str::slug($request->name, '-');
        $user =  User::find(Auth::user()->id);
        $user->name = $request->name;
        $user->slug = $slug;
        $user->about = $request->about;
        $user->phone = $request->phone;
        $user->cell = $request->cell;
        $user->address = $request->address;
        $user->sector = $request->sector;
        $user->website = $request->website;
        $user->facebook = $request->facebook;
        $user->linkedin = $request->linkedin;
        $user->whatsapp = $request->whatsapp;
        $user->twitter = $request->twitter;
        $user->ohours = $request->ohours;
        $user->save();
        
     return redirect()->back()
       ->with('success', 'Profile successfully updated.');
    }

    public function vendorupdate(Request $request, $id)
    {
        $request->validate([
            'name' => 'required|max:255',
            'address' => 'required',
            'ohours' => 'required',
            'sector' => 'required',
            'phone' => 'required',
            'about' => 'required',
            'status' => 'required',
            
        ]);
        $slug = Str::slug($request->name, '-');
        $user =  User::find($id);
        $user->name = $request->name;
        $user->slug = $slug;
        $user->about = $request->about;
        $user->phone = $request->phone;
        $user->cell = $request->cell;
        $user->address = $request->address;
        $user->sector = $request->sector;
        $user->website = $request->website;
        $user->facebook = $request->facebook;
        $user->linkedin = $request->linkedin;
        $user->whatsapp = $request->whatsapp;
        $user->twitter = $request->twitter;
        $user->ohours = $request->ohours;
        $user->status = $request->status;
        $user->save();

        if($user->status == 'Inactive'){
            DB::table('products')
            ->where('user_id', $user->id)
            ->update(array('status' => 'Inactive'));
        }
        
     return redirect()->back()
       ->with('success', 'Vendor successfully updated.');
    }
    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\Models\Vendors  $vendors
     * @return \Illuminate\Http\Response
     */
    
    public function destroys($id)
    {
        $user = User::find($id);
        $user->delete();
        DB::table('products')
        ->where('user_id', $user->id)
        ->update(array('status' => 'deleted_user'));
        return redirect()->action([VendorsController::class, 'index'])
            ->with('success', 'Vendor deleted successfully,  Vendor name:  '  .$user->name);
    }
}
