<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Products;
use App\Models\User;
use App\Models\Specs;
use App\Models\Newsletter;
use Illuminate\Support\Facades\DB;

class WelcomeController extends Controller
{
    //
    public function index()
    {
        $dproducts = Products::inRandomOrder()
        ->take(12)->where([
            ['status', 'active'], 
            ['discount_id', '!=' ,""]
        ])->get();
        $aproducts = Products::inRandomOrder()
            ->where([
                ['status', 'active'], 
                ['sector', 'arts and craft']
            ])->get();
            $agriproducts = Products::inRandomOrder()
            ->where([
                ['status', 'active'], 
                ['sector', 'agri-business']
            ])->get();
            $conproducts = Products::inRandomOrder()
            ->where([
                ['status', 'active'], 
                ['sector', 'construction']
            ])->get();
            $cloproducts = Products::inRandomOrder()
            ->where([
                ['status', 'active'], 
                ['sector', 'clothing']
            ])->get();
            $furnitures = Products::inRandomOrder()
            ->where([
                ['status', 'active'], 
                ['sector', 'furniture']
            ])->get();
            $icts = Products::inRandomOrder()
            ->where([
                ['status', 'active'], 
                ['sector', 'ict']
            ])->get();
            $packproducts = Products::inRandomOrder()
            ->where([
                ['status', 'active'], 
                ['sector', 'packaging']
            ])->get();
            $fproducts = Products::inRandomOrder()
            ->where([
                ['status', 'active'], 
                ['sector', 'processed food']
            ])->get();
            $manuproducts = Products::inRandomOrder()
            ->where([
                ['status', 'active'], 
                ['sector', 'manufacturing']
            ])->get();
            $services = Products::inRandomOrder()
            ->where([
                ['status', 'active'], 
                ['sector', 'services']
            ])->get();
            \App::call('App\Http\Controllers\VisitsController@saveit',["page"=>'Homepage',"pageid"=>"","productid"=>""]);
    return view('welcome',compact('dproducts', 'aproducts', 'agriproducts',
        'conproducts', 'cloproducts', 'furnitures', 'icts', 'packproducts', 'fproducts',
        'manuproducts', 'services'));
    }
    public function vendors($sector)
    {
        if($sector == 'all'){
        $vendors = User::inRandomOrder()
        ->where([
            ['status', 'active'], 
            ['usertype', 'vendor']
        ])->paginate(16);
        }
        else{
         $vendors = User::inRandomOrder()
        ->where([
            ['status', 'active'], 
            ['usertype', 'vendor'],
            ['sector', $sector]
        ])->paginate(16);
        }
        \App::call('App\Http\Controllers\VisitsController@saveit',["page"=>"Shop by Vendor","pageid"=>"","productid"=>""]);
    return view('vendor.index',compact('vendors'));
    }

    public function vendorsaz($sector)
    {
        if($sector == 'all'){
        $vendors = User::inRandomOrder()
        ->where([
            ['status', 'active'], 
            ['usertype', 'vendor']
        ])->paginate(16);
        }
        else{
         $vendors = User::inRandomOrder()
        ->where([
            ['status', 'active'], 
            ['usertype', 'vendor'],
            ['sector', $sector]
        ])->paginate(16);
        }
        \App::call('App\Http\Controllers\VisitsController@saveit',["page"=>"Shop by Vendor","pageid"=>"","productid"=>""]);
    return view('vendor.index',compact('vendors'));
    }

    public function visitstore($id)
    {
       $vendor=User::find($id);
       $products = Products::where([
           ['status', 'active'], 
           ['user_id', $id],
       ])->paginate(16);
       \App::call('App\Http\Controllers\VisitsController@saveit',["page"=>$vendor->name,"pageid"=>$vendor->id,"productid"=>""]);
        return view('vendor.visit-store',compact('vendor', 'products'));
    }

    public function search(Request $request)
    { 
        $products = Products::select('*')
        ->where('name', 'LIKE', "%{$request->keyword}%") 
        ->orWhere('description', 'LIKE', "%{$request->keyword}%") 
        ->orWhere('sector', 'LIKE', "%{$request->keyword}%") 
        ->Where('status', 'active') 
        ->paginate(16);
        $keyword = $request->keyword;
        \App::call('App\Http\Controllers\VisitsController@saveit',["page"=>"Search : $request->keyword","pageid"=>"","productid"=>""]);
        return view('product.search',compact('products','keyword'));
    }

    public function products($sector, Request $request)
    {
        if($sector== 'results'){
            $products = Products::select('*')
            ->where('name', 'LIKE', "%{$request->keyword}%") 
            ->orWhere('description', 'LIKE', "%{$request->keyword}%") 
            ->orWhere('sector', 'LIKE', "%{$request->keyword}%") 
            ->Where('status', 'active') 
            ->paginate(16);
            $keyword = $request->keyword;
            return view('product.search',compact('products','keyword'));
        }
        if($sector == 'all'){
            $products = Products::inRandomOrder()
            ->where([
                ['status', 'active'], 
            ])->paginate(16);
        }
        else{
            
        $products = Products::inRandomOrder()
        ->where([
            ['status', 'active'], 
            ['sector', $sector]
        ])->paginate(16);
        }
        \App::call('App\Http\Controllers\VisitsController@saveit',["page"=>'Shop by Products',"pageid"=>"","productid"=>""]);
    return view('product.index',compact('products'));
    }
    public function productdetail($id)
    {
        $product=Products::find($id);
        $rproducts = Products::inRandomOrder()
        ->where([
            ['status', 'active'], 
            ['sector', $product->sector]
        ])->get();
      //  dd($rproducts);
        $vproducts = Products::inRandomOrder()
        ->where([
            ['status', 'active'], 
            ['user_id', $product->user_id]
        ])->get();
        $specs = Specs::inRandomOrder()
        ->where([
            ['product_id', $id]
        ])->get();
        \App::call('App\Http\Controllers\VisitsController@saveit',["page"=>'Single Product',"pageid"=>"","productid"=>$id]);
        return view('product.product-detail',compact('product', 'specs', 'rproducts', 'vproducts'));
    }
    public function sectors(){
        \App::call('App\Http\Controllers\VisitsController@saveit',["page"=>'Sectors',"pageid"=>"","productid"=>""]);
        return view('sectors');
    }

    public function becomeavendor(){
        \App::call('App\Http\Controllers\VisitsController@saveit',["page"=>'Become a vendor',"pageid"=>"","productid"=>""]);
        return view('becomeavendor');
    }

    public function aboutus(){
        \App::call('App\Http\Controllers\VisitsController@saveit',["page"=>'About us',"pageid"=>"","productid"=>""]);
        return view('aboutus');
    }
    public function contactus(){
        \App::call('App\Http\Controllers\VisitsController@saveit',["page"=>'Contact Us',"pageid"=>"","productid"=>""]);
        return view('contactus');
    }
    public function blog()
    {
      //  $blogs = Blog::where('status','active')->orderBy('id', 'desc')->get();
      $blogs ="";
      \App::call('App\Http\Controllers\VisitsController@saveit',["page"=>'Blog',"pageid"=>"","productid"=>""]);
        return view('blog.blog',compact('blogs'));
    }

    public function singleblog($id)
    {
        $blog=Blog::find($id);  
        \App::call('App\Http\Controllers\VisitsController@saveit',["page"=>'Single Blog',"pageid"=>"","productid"=>""]);
        return view('blog.single-blog',compact('blog'));
    }

    

    public function store(Request $request)
    { 
    }

    public function newsletter(Request $request)
    {
        $this->validate($request,[
            'email'=> 'required|unique:newsletters|email',
            ]);
    try{
        $newsletter = new Newsletter();
        $newsletter->email = $request->email;
        $newsletter->save();

        return redirect()->back()->with('success','you have successfully signed up for newsletters');
    }
    catch(\Exception $e){
       // do task when error
       return redirect()->back()
       ->withErrors('Email address already exists or unknown error, please contact admin for more info');
    }
}
}
