<?php
namespace App\Listeners;
use MikeMcLin\WpPassword\Facades\WpPassword;
use Illuminate\Auth\Events\Attempting;
use Illuminate\Support\Facades\Hash;
use Illuminate\Support\Facades\DB;
use App\Models\User;

class WordPressPasswordUpdate
{
    public function handle(Attempting $event)
    {
        $this->check($event->credentials['password'], 
        User::where('email', $event->credentials['email'])->first()->password ?? 'not found');
    }

    public function check($value, $wp_hashed_password, array $options = [])
    {
        if (Hash::needsRehash($wp_hashed_password)) 
        {
            if (WpPassword::check($value, $wp_hashed_password)) 
            {
                $newHashedValue = (new \Illuminate\Hashing\BcryptHasher)->make($value, $options);
                DB::update('UPDATE users SET `password` = "' . $newHashedValue . '" WHERE `password` = "' . $wp_hashed_password . '"');
                $wp_hashed_password = $newHashedValue;
            }
        }
    }
}
