 @extends('layouts.admin')
@section('content')
 <div class="ps-main__wrapper">
            <header class="header--dashboard">
                <div class="header__left">
                    <h3>Active Products</h3>
                    <p>Active Products</p>
                </div>
                <div class="header__center">
                    
                </div>
                <div class="header__right"><a class="header__site-link" href="{{ route('view-products', ["sector"=>"all"]) }}"><span>View Store</span><i class="icon-exit-right"></i></a></div>
            </header>
            <section class="ps-items-listing">
                <div class="ps-section__actions">
                <div class="row">
                     <div class="col-3">
                        <a class="ps-btn success" href="{{ route('add-product') }}">
                        <i class="icon icon-plus mr-2"></i>New Product</a>
                    </div>
                    <div class="col-3">
                        <a class="ps-btn success" href="{{ route('inactive-products') }}">
                        <i class="icon icon-plus mr-2"></i>Pending / Inactive </a>
                    </div>
                    <div class="col-3">
                        <a class="ps-btn success" href="{{ route('active-products') }}">
                        <i class="icon icon-plus mr-2"></i>Active Products</a>
                    </div>
                    <div class="col-3">
                        <a class="ps-btn success" href="{{ route('list-products') }}">
                        <i class="icon icon-plus mr-2"></i>All Products</a></div>
                    </div>
                </div>
                  @if ($errors->any())
                    <div class="alert alert-danger">
                        <strong>Error!</strong> 
                        <ul>
                            @foreach ($errors->all() as $error)
                            <li>{{ $error  }}</li>
                            @endforeach
                        </ul>
                    </div>
                @endif
                @if ($message = Session::get('success'))
                <div class="alert alert-success alert-block">
                <button type="button" class="close" data-dismiss="alert">×</button>
                <strong>{{ $message }}</strong>
                </div>
                @endif
                <div class="ps-section__header">
               
                <div class="ps-section__content">
                    <div class="table-responsive">
                        <table id="example" class="table table-striped table-bordered" style="width:100%">
                            <thead>
                                <tr>
                                    <th>Name</th>
                                    <th>SKU</th>
                                    <th>Sector</th>
                                    <th>Status</th>
                                    <th></th>
                                </tr>
                            </thead>
                            <tbody>
                             @foreach ($products as $product)    
                                <tr>
                                    <td><a href="{{ route('product-detail', ["id"=>$product->id]) }}"><strong>{{$product->name}}</strong></a></td>
                                    <td>{{$product->sku}}</td>
                                    <td>
                                        <p class="ps-item-categories"> {{$product->sector}}
                                        </p>
                                    </td>
                                    <td>
                                    @if($product->status == "active" || $product->status == "Active")
                                        <span class="ps-badge success">{{$product->status}}</span> 
                                        @else
                                         <span class="ps-badge danger">{{$product->status}}</span>
                                    @endif
                                   
                                    </td>
                                    <td>
                                        <div class="dropdown"><a id="dropdownMenuButton" data-toggle="dropdown" 
                                        aria-haspopup="true" aria-expanded="false">
                                        <i class="icon-ellipsis"></i></a>
                                            <div class="dropdown-menu" aria-labelledby="dropdownMenuButton">
                                            <a class="dropdown-item" href="{{ route('status-product', $product->id) }}">Activate/Deactivate</a>
                                             <a class="dropdown-item" href="{{ route('product-images', $product->id) }}">Change Images</a>
                                            <a class="dropdown-item" href="{{ route('product-specs', ["id"=>$product->id]) }}">Specs</a>
                                            <a class="dropdown-item" href="{{ route('product-edit', $product->id) }}">Edit</a>
                                              @if (Auth::user()->usertype == 'admin')
                                                <a class="dropdown-item" href="{{ route('delete.product', $product->id) }}">Delete</a>
                                            @endif
                                            </div>
                                        </div>
                                    </td>
                                </tr>
                               @endforeach
                            </tbody>
                        </table>
                    </div>
                </div> 
            </section>
        </div>
    </main>
@endsection
 @extends('layouts.admin')
@section('content')
 <div class="ps-main__wrapper">
            <header class="header--dashboard">
                <div class="header__left">
                    <h3>Inactive Products</h3>
                    <p>Inactive Products</p>
                </div>
                <div class="header__center">
                    
                </div>
                <div class="header__right"><a class="header__site-link" href="{{ route('view-products', ["sector"=>"all"]) }}"><span>View Store</span><i class="icon-exit-right"></i></a></div>
            </header>
            <section class="ps-items-listing">
                <div class="ps-section__actions">
                <div class="row">
                     <div class="col-3">
                        <a class="ps-btn success" href="{{ route('add-product') }}">
                        <i class="icon icon-plus mr-2"></i>New Product</a>
                    </div>
                    <div class="col-3">
                        <a class="ps-btn success" href="{{ route('inactive-products') }}">
                        <i class="icon icon-plus mr-2"></i>Pending / Inactive </a>
                    </div>
                    <div class="col-3">
                        <a class="ps-btn success" href="{{ route('active-products') }}">
                        <i class="icon icon-plus mr-2"></i>Active Products</a>
                    </div>
                    <div class="col-3">
                        <a class="ps-btn success" href="{{ route('add-product') }}">
                        <i class="icon icon-plus mr-2"></i>All Products</a></div>
                    </div>
                </div>
                  @if ($errors->any())
                    <div class="alert alert-danger">
                        <strong>Error!</strong> 
                        <ul>
                            @foreach ($errors->all() as $error)
                            <li>{{ $error  }}</li>
                            @endforeach
                        </ul>
                    </div>
                @endif
                @if ($message = Session::get('success'))
                <div class="alert alert-success alert-block">
                <button type="button" class="close" data-dismiss="alert">×</button>
                <strong>{{ $message }}</strong>
                </div>
                @endif
                <div class="ps-section__header">
               
                <div class="ps-section__content">
                    <div class="table-responsive">
                        <table id="example" class="table table-striped table-bordered" style="width:100%">
                            <thead>
                                <tr>
                                    <th>Name</th>
                                    <th>SKU</th>
                                    <th>Sector</th>
                                    <th>Status</th>
                                    <th></th>
                                </tr>
                            </thead>
                            <tbody>
                             @foreach ($products as $product)    
                                <tr>
                                    <td><a href="{{ route('product-detail', ["id"=>$product->id]) }}"><strong>{{$product->name}}</strong></a></td>
                                    <td>{{$product->sku}}</td>
                                    <td>
                                        <p class="ps-item-categories"> {{$product->sector}}
                                        </p>
                                    </td>
                                    <td>
                                    @if($product->status == "active" || $product->status == "Active")
                                        <span class="ps-badge success">{{$product->status}}</span> 
                                        @else
                                         <span class="ps-badge danger">{{$product->status}}</span>
                                    @endif
                                   
                                    </td>
                                    <td>
                                        <div class="dropdown"><a id="dropdownMenuButton" data-toggle="dropdown" 
                                        aria-haspopup="true" aria-expanded="false">
                                        <i class="icon-ellipsis"></i></a>
                                            <div class="dropdown-menu" aria-labelledby="dropdownMenuButton">
                                            <a class="dropdown-item" href="{{ route('status-product', $product->id) }}">Active/Inactive</a>
                                             <a class="dropdown-item" href="{{ route('product-images', $product->id) }}">Change Images</a>
                                            <a class="dropdown-item" href="{{ route('product-specs', ["id"=>$product->id]) }}">Specs</a>
                                            <a class="dropdown-item" href="{{ route('product-edit', $product->id) }}">Edit</a>
                                              @if (Auth::user()->usertype == 'admin')
                                                <a class="dropdown-item" href="{{ route('delete.product', $product->id) }}">Delete</a>
                                            @endif
                                            </div>
                                        </div>
                                    </td>
                                </tr>
                               @endforeach
                            </tbody>
                        </table>
                    </div>
                </div> 
            </section>
        </div>
    </main>
@endsection
