 @extends('layouts.admin')
@section('content')
 <div class="ps-main__wrapper">
            <header class="header--dashboard">
                <div class="header__left">
                    <h3>Product Images</h3>
                    <p>Update product images</p>
                </div>
                <div class="header__center">
                    
                </div>
                <div class="header__right"><a class="header__site-link" href="{{ route('view-products', ["sector"=>"all"]) }}"><span>View Store</span><i class="icon-exit-right"></i></a></div>
            </header>
             @if ($errors->any())
                    <div class="alert alert-danger">
                        <strong>Error!</strong> 
                        <ul>
                            @foreach ($errors->all() as $error)
                            <li>{{ $error  }}</li>
                            @endforeach
                        </ul>
                    </div>
                @endif
                @if ($message = Session::get('success'))
                <div class="alert alert-success alert-block">
                <button type="button" class="close" data-dismiss="alert">×</button>
                <strong>{{ $message }}</strong>
                </div>
                @endif
            <section class="ps-new-item">
             <h4>Product: {{$product->name}}</h4><br/>
                <form class="ps-form ps-form--new-product" action="{{ route('product-updateimages') }}" method="POST" enctype = 'multipart/form-data'>
                     @csrf
                    <div class="ps-form__content">
                        <div class="row">
                            <div class="col-xl-6 col-lg-6 col-md-12 col-sm-12 col-12">
                                <figure class="ps-block--form-box">
                                    <figcaption>Preview Images</figcaption>
                                    <div class="ps-block__content">
                                        <div class="form-group">
                                            <label>Image 1</label>
                                            <div class="form-group--nest">
                                                <img src="{{ asset("storage/img/products/$product->img_photo_path")}}" alt="">
                                            </div>
                                        </div>
                                       <div class="form-group">
                                            <label>Image 2</label>
                                            <div class="form-group--nest">
                                                <img src="{{ asset("storage/img/products/$product->img2_photo_path")}}" alt="">
                                            </div>
                                        </div>
                                        <div class="form-group">
                                            <label>Image 3</label>
                                            <div class="form-group--nest">
                                                <img src="{{ asset("storage/img/products/$product->img3_photo_path")}}" alt="">
                                            </div>
                                       </div>
                                    </div>
                                </figure>
                            </div>
                            <div class="col-xl-6 col-lg-6 col-md-12 col-sm-12 col-12">
                                <figure class="ps-block--form-box">
                                    <figcaption>Change Images</figcaption>
                                    <div class="ps-block__content">
                                      <input class="form-control" name="id" type="hidden" value="{{$product->id}}" placeholder="" >
                                        <div class="form-group">
                                            <label>Image 1 (300 * 300)</label>
                                            <div class="form-group--nest">
                                                <input class="form-control  " name="image" type="file" placeholder="" >
                                            </div>
                                        </div>
                                        <div class="form-group">
                                            <label>Image 2 (300 * 300)</label>
                                            <div class="form-group--nest">
                                                <input class="form-control " name="image2" type="file" placeholder="" >
                                            </div>
                                        </div>
                                        <label>Image 3 (300 * 300)</label>
                                        <div class="form-group form-group--nest">
                                            <input class="form-control  " name="image3" type="file" placeholder="" >
                                        </div>
                                      <!--  <div class="form-group">
                                            <label>Video (optional)
                                            </label>
                                            <input class="form-control" type="text" placeholder="Enter video URL" />
                                        </div>-->
                                    </div>
                                </figure>
                                
                                
                            </div>
                        </div>
                    <div class="ps-form__bottom">
                    <a class="ps-btn ps-btn--black" href="{{ route('list-products') }}">Back</a>
                        <button class="ps-btn">Submit</button>
                    </div>
                </form>
            </section>
        </div>
    </main>
@endsection