 @extends('layouts.admin')
@section('content')
  <div class="ps-main__wrapper">
            <header class="header--dashboard">
                <div class="header__left">
                    <h3>Specifications</h3>
                    <p>Product Specs</p>
                </div>
                <div class="header__center">
                    
                </div>
                <div class="header__right">
                <a class="header__site-link" href="{{ route('view-products', ["sector"=>"all"]) }}"><span>View Store</span><i class="icon-exit-right"></i></a></div>
            </header>
              @if ($errors->any())
                    <div class="alert alert-danger">
                        <strong>Error!</strong> 
                        <ul>
                            @foreach ($errors->all() as $error)
                            <li>{{ $error  }}</li>
                            @endforeach
                        </ul>
                    </div>
                @endif
                @if ($message = Session::get('success'))
                <div class="alert alert-success alert-block">
                <button type="button" class="close" data-dismiss="alert">×</button>
                <strong>{{ $message }}</strong>
                </div>
                @endif
            <h4> Product name: {{ $product->name}}</h4>
             @if ($product->status != 'deleted_user')
             <p><a href="{{ route('product-detail', ["id"=>$product->id]) }}">View Product</a></p>
             @endif
            <section class="ps-dashboard ps-items-listing">
                <div class="ps-section__left">
                    <div class="table-responsive">
                        <table id="example" class="table table-striped table-bordered" style="width:100%">
                            <thead>
                                <tr>
                                    <th>Name</th>
                                    <th>Description</th>
                                    <th></th>
                                </tr>
                            </thead>
                            <tbody>
                            @foreach($specs as $spec)
                                   <tr>
                                    <td><strong>{{$spec->name}}</strong></td>
                                    <td>{{$spec->description}}</td>
                                    <td>
                                        <div class="dropdown"><a id="dropdownMenuButton" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"><i class="icon-ellipsis"></i></a>
                                        <div class="dropdown-menu" aria-labelledby="dropdownMenuButton">
                                        <!--<a class="dropdown-item" href="#">Edit</a>-->
                                        <a class="dropdown-item" href="{{ route('delete.spec', $spec->id) }}">Delete</a>
                                        </div>
                                    </div>
                                    </td>
                                </tr>
                            @endforeach
                             
                               
                            </tbody>
                        </table>
                    </div>
                   
                </div>
                <div class="ps-section__right">
                    <form class="ps-form ps-form--new-product" action="{{ route('specs.store') }}" method="POST" enctype = 'multipart/form-data'>
                     @csrf
                        <div class="ps-form__content">
                            <div class="form-group">
                                <label>Name<sup>*</sup></label>
                                <input class="form-control" name="product_id" value="{{$product->id}}" type="hidden" placeholder="Enter  name" required/>
                                <input class="form-control" name="name" type="text" placeholder="Enter  name" required/>
                            </div>
                            <div class="form-group">
                                <label>Description<sup>*</sup></label>
                                <textarea class="form-control" name="description" rows="6" placeholder="Enter  description" required></textarea>
                            </div>
                        </div>
                        <div class="ps-form__bottom">
                            <button class="ps-btn ps-btn--gray">Reset</button>
                            <button class="ps-btn ps-btn--sumbit success">Add new</button>
                        </div>
                    </form>
                </div>
            </section>
        </div>
    </main>
@endsection