 @extends('layouts.admin')
@section('content')
 <div class="ps-main__wrapper">
            <header class="header--dashboard">
                <div class="header__left">
                    <h3> Product Status</h3>
                    <p>Product Status</p>
                </div>
                <div class="header__center">
                    
                </div>
                <div class="header__right"><a class="header__site-link" href="{{ route('view-products', ["sector"=>"all"]) }}"><span>View Store</span><i class="icon-exit-right"></i></a></div>
            </header>
             @if ($errors->any())
                    <div class="alert alert-danger">
                        <strong>Error!</strong> 
                        <ul>
                            @foreach ($errors->all() as $error)
                            <li>{{ $error  }}</li>
                            @endforeach
                        </ul>
                    </div>
                @endif
                @if ($message = Session::get('success'))
                <div class="alert alert-success alert-block">
                <button type="button" class="close" data-dismiss="alert">×</button>
                <strong>{{ $message }}</strong>
                </div>
                @endif
            <section class="ps-new-item">
                <form class="ps-form ps-form--new-product" action="{{ route('status-update', $product->id ) }}" method="POST" enctype = 'multipart/form-data'>
                     @csrf
                    <div class="ps-form__content">
                        <div class="row">
                            <div class="col-xl-6 col-lg-6 col-md-12 col-sm-12 col-12">
                                <figure class="ps-block--form-box">
                                    <figcaption>Product : {{$product->name}}</figcaption>
                                    <div class="ps-block__content">
                                       <label>Status is 
                                            </label>
                                            <div class="form-group__content">
                                                <select class="ps-select"  disabled>
                                                <option value="{{$product->status}}">{{$product->status}}</option>
                                                </select>
                                            </div>
                                    </div>
                                    <br/>
                                    @if($product->status == "deleted_user")
                                   <p class="text-danger"> You need to assign an exporter to this product before activating it.</p>
                                    @endif
                                </figure>
                            </div>
                            <div class="col-xl-6 col-lg-6 col-md-12 col-sm-12 col-12">
                                <figure class="ps-block--form-box">
                                    <figcaption>Status</figcaption>
                                    <div class="ps-block__content">
                                       
                                        <div class="form-group form-group--select">
                                            <label>Change to 
                                            </label>
                                            <div class="form-group__content">
                                                <select class="ps-select" title="Status" name="status" required>
                                                    <option value="Active">Active</option>
                                                    <option value="Inactive">Inactive</option>
                                                </select>
                                            </div>
                                        </div>
                                       
                                 </div>
                                </figure>
                             
                            </div>
                        </div>
                    <div class="ps-form__bottom">
                    <a class="ps-btn ps-btn--black" href="{{ route('list-products') }}">Back</a>
                        <button class="ps-btn">Submit</button>
                    </div>
                </form>
            </section>
        </div>
    </main>
@endsection