 @extends('layouts.admin')
@section('content')
 <div class="ps-main__wrapper">
            <header class="header--dashboard">
                <div class="header__left">
                    <h3>Exporter Files</h3>
                    <p>Update exporter files</p>
                </div>
                <div class="header__center">
                     
                </div>
                <div class="header__right"><a class="header__site-link" href="{{ route('view-products', ["sector"=>"all"]) }}"><span>View Store</span><i class="icon-exit-right"></i></a></div>
            </header>
             @if ($errors->any())
                    <div class="alert alert-danger">
                        <strong>Error!</strong> 
                        <ul>
                            @foreach ($errors->all() as $error)
                            <li>{{ $error  }}</li>
                            @endforeach
                        </ul>
                    </div>
                @endif
                @if ($message = Session::get('success'))
                <div class="alert alert-success alert-block">
                <button type="button" class="close" data-dismiss="alert">×</button>
                <strong>{{ $message }}</strong>
                </div>
                @endif
            <section class="ps-new-item">
              <h4>Exporter: {{$vendor->name}}</h4><br/>
                <form class="ps-form ps-form--new-product" action="{{ route('vendor-updateimages') }}" method="POST" enctype = 'multipart/form-data'>
                     @csrf
                    <div class="ps-form__content">
                        <div class="row">
                            <div class="col-xl-6 col-lg-6 col-md-12 col-sm-12 col-12">
                                <figure class="ps-block--form-box">
                                    <figcaption>General</figcaption>
                                    <div class="ps-block__content">
                                        <div class="form-group">
                                            <label>Logo </label>
                                             <img src="{{ asset("storage/profile-photos/$vendor->profile_photo_path")}}" alt="">
                                        </div>
                                        <div class="form-group">
                                            <label>Header image </label>
                                             <img src="{{ asset("storage/profile-photos/$vendor->header_photo_path")}}" alt="">
                                        </div>
                                        <div class="form-group">
                                            <label>Company Profile | Catalogue</label>
                                            <iframe src="{{ asset("storage/profile-photos/$vendor->pdf_path")}}" alt=""></iframe>
                                        </div>
                                        
                                    </div>
                                </figure>
                            </div>
                            <div class="col-xl-6 col-lg-6 col-md-12 col-sm-12 col-12">
                                <figure class="ps-block--form-box">
                                    <figcaption>Files</figcaption>
                                    <div class="ps-block__content">
                                    <input class="form-control  " name="id" type="hidden" value="{{$vendor->id}}" placeholder="" required>
                                        <div class="form-group">
                                            <label>Logo (100 * 100)</label>
                                            <div class="form-group--nest">
                                                <input class="form-control  " name="image" type="file" placeholder="" >
                                            </div>
                                        </div>
                                        <div class="form-group">
                                            <label>Header image (415 * 210 )</label>
                                            <div class="form-group--nest">
                                                <input class="form-control " name="image2" type="file" placeholder="" >
                                            </div>
                                        </div>
                                        <label>Company Profile | Catalogue</label>
                                        <div class="form-group form-group--nest">
                                            <input class="form-control  " name="image3" type="file" placeholder="" >
                                        </div>
                                    </div>
                                </figure>
                               
                            </div>
                        </div>
                    <div class="ps-form__bottom">
                    <a class="ps-btn ps-btn--black" href="{{ route('list-vendors') }}">Back</a>
                        <button class="ps-btn">Submit</button>
                    </div>
                </form>
            </section>
        </div>
    </main>
@endsection