 @extends('layouts.admin')
@section('content')
 <div class="ps-main__wrapper">
            <header class="header--dashboard">
                <div class="header__left">
                    <h3>Update Info</h3>
                    <p>My Profile</p>
                </div>
                <div class="header__center">
                     
                </div>
                <div class="header__right"><a class="header__site-link" href="{{ route('view-products', ["sector"=>"all"]) }}"><span>View Store</span><i class="icon-exit-right"></i></a></div>
            </header>
             @if ($errors->any())
                    <div class="alert alert-danger">
                        <strong>Error!</strong> 
                        <ul>
                            @foreach ($errors->all() as $error)
                            <li>{{ $error  }}</li>
                            @endforeach
                        </ul>
                    </div>
                @endif
                @if ($message = Session::get('success'))
                <div class="alert alert-success alert-block">
                <button type="button" class="close" data-dismiss="alert">×</button>
                <strong>{{ $message }}</strong>
                </div>
                @endif
            <section class="ps-new-item">
                <form class="ps-form ps-form--new-product" action="{{ route('my-profile' ) }}" method="POST" enctype = 'multipart/form-data'>
                     @csrf
                    <div class="ps-form__content">
                        <div class="row">
                            <div class="col-xl-6 col-lg-6 col-md-12 col-sm-12 col-12">
                                <figure class="ps-block--form-box">
                                    <figcaption>General</figcaption>
                                    <div class="ps-block__content">
                                        <div class="form-group">
                                            <label>Company Name<sup>*</sup>
                                            </label>
                                            <input class="form-control" name="name"  value="{{$vendor->name}}" type="text" placeholder="Enter company name..." required/>
                                        </div>
                                        <div class="form-group">
                                            <label>Address<sup>*</sup>
                                            </label>
                                            <textarea class="form-control" name="address"  rows="6" placeholder="Enter  address..." required>{{$vendor->address}}</textarea>
                                        </div>
                                        <div class="form-group">
                                            <label>Cell<sup>*</sup>
                                            </label>
                                            <input class="form-control" name="cell"  value="{{$vendor->cell}}" type="text" placeholder="" />
                                        </div>
                                        <div class="form-group">
                                            <label>Phone<sup>*</sup>
                                            </label>
                                            <input class="form-control" name="phone" value="{{$vendor->phone}}"  type="text" placeholder="" />
                                        </div>
                                        <div class="form-group">
                                            <label>Operation Hours<sup>*</sup>
                                            </label>
                                            <input class="form-control" type="text" name="ohours" value="{{$vendor->ohours}}"  placeholder="" required/>
                                        </div>
                                        <div class="form-group">
                                            <label>About<sup>*</sup></label>
                                            <textarea class="form-control" name="about"  rows="9" name="about" required>{{$vendor->about}}</textarea>
                                        </div>
                                    </div>
                                </figure>
                            </div>
                            <div class="col-xl-6 col-lg-6 col-md-12 col-sm-12 col-12">
                                <figure class="ps-block--form-box">
                                    <figcaption>Social Media</figcaption>
                                    <div class="ps-block__content">
                                        <div class="form-group">
                                            <label>Facebook<sup>*</sup>
                                            </label>
                                            <input class="form-control" value="{{$vendor->facebook}}"  type="text" placeholder="" name="facebook" />
                                        </div>
                                        <div class="form-group">
                                            <label>Twitter<sup>*</sup>
                                            </label>
                                            <input class="form-control" value="{{$vendor->twitter}}"  type="text" placeholder="" name="twitter" />
                                        </div>
                                        <div class="form-group">
                                            <label>Linkedin<sup>*</sup>
                                            </label>
                                            <input class="form-control" type="text" value="{{$vendor->linkedin}}"  placeholder="" name="linkedin" />
                                        </div>
                                        <div class="form-group">
                                            <label>Whatsapp<sup>*</sup>
                                            </label>
                                            <input class="form-control" type="text" placeholder="" value="{{$vendor->whatsapp}}"  name="whatsapp" />
                                        </div>
                                        <div class="form-group">
                                            <label>Website<sup>*</sup>
                                            </label>
                                            <input class="form-control" type="text" placeholder="" value="{{$vendor->website}}"  name="website" />
                                        </div>
                                       
                                 </div>
                                </figure>
                                <figure class="ps-block--form-box">
                                    <figcaption>Meta</figcaption>
                                    <div class="ps-block__content">
                                        <div class="form-group form-group--select">
                                            <label>Sector
                                            </label>
                                            <div class="form-group__content">
                                                <select class="ps-select" title="sector" name="sector" required>
                                                <option value="{{$vendor->sector}}">{{$vendor->sector}}</option>
                                                    <option value="Arts and Craft">Arts and craft</option>
                                                    <option value="Agri-business">Agri-business</option>
                                                    <option value="Construction">Construction</option>
                                                    <option value="Clothing">Clothing</option>
                                                    <option value="Furniture">Furniture</option>
                                                    <option value="ICT">ICT</option>
                                                    <option value="Packaging">Packaging</option>
                                                    <option value="Processed food">Processed food</option>
                                                    <option value="Manufacturing">Manufacturing</option>
                                                    <option value="Services">Services</option>
                                                </select>
                                            </div>
                                        </div>
                                    </div>
                                </figure>
                            </div>
                        </div>
                    <div class="ps-form__bottom">
                    <a class="ps-btn ps-btn--black" href="{{ route('list-vendors') }}">Back</a>
                        <button class="ps-btn">Submit</button>
                    </div>
                </form>
            </section>
        </div>
    </main>
@endsection