@if ($paginator->hasPages())
 <div class="ps-pagination">
    <ul class="pagination">
    @if (!$paginator->onFirstPage())
       <li><a href="{{ $paginator->previousPageUrl() }}"><i class="icon-chevron-left"></i> Prev</a></li>
    @endif
        @foreach ($elements as $element)
                        {{-- "Three Dots" Separator --}}
                        @if (is_string($element))
                            <span aria-disabled="true">
                                <li >{{ $element }}</li>
                            </span>
                        @endif
         @if (is_array($element))
            @foreach ($element as $page => $url)
                @if ($page == $paginator->currentPage())
                    <span aria-current="page">
                        <li class="active"><a href="#">{{ $page }}</a></li>
                    </span>
                @else
                    <li><a href="{{ $url }}"   aria-label="{{ __('Go to page :page', ['page' => $page]) }}">
                        {{ $page }}
                    </a></li>
                @endif
            @endforeach
            @endif
        @endforeach
         @if ($paginator->hasMorePages())
        <li><a href="{{ $paginator->nextPageUrl() }}">Next Page<i class="icon-chevron-right"></i></a></li>
        @endif
    </ul>
</div>
<p class="ps-pagination text-sm text-gray-700 leading-5">
                    {!! __('Showing') !!}
                    <span class="font-medium">{{ $paginator->firstItem() }}</span>
                    {!! __('to') !!}
                    <span class="font-medium">{{ $paginator->lastItem() }}</span>
                    {!! __('of') !!}
                    <span class="font-medium">{{ $paginator->total() }}</span>
                    {!! __('results') !!}
                </p>
@endif
