@extends('layouts.frontend')
@section('content')
 <div id="homepage-3">
       @include('layouts.template_parts.homeslider')
        <div class="ps-site-features">
            <div class="container">
                <div class="ps-block--site-features ps-block--site-features-2">
                    <div class="ps-block__item">
                        <div class="ps-block__left"><i class="icon-rocket"></i></div>
                        <div class="ps-block__right">
                            <h4>New Arrivals</h4>
                            <p>Wholesalers, manufacturers, distributors</p>
                        </div>
                    </div>
                    <div class="ps-block__item">
                        <div class="ps-block__left"><i class="icon-sync"></i></div>
                        <div class="ps-block__right">
                            <h4>Weekly Deals</h4>
                            <p>Buy goods in bulk</p>
                        </div>
                    </div>
                    <div class="ps-block__item">
                        <div class="ps-block__left"><i class="icon-credit-card"></i></div>
                        <div class="ps-block__right">
                            <h4>Best Sellers</h4>
                            <p>100% authentic products</p>
                        </div>
                    </div>
                    <div class="ps-block__item">
                        <div class="ps-block__left"><i class="icon-bubbles"></i></div>
                        <div class="ps-block__right">
                            <h4>Support</h4>
                            <p>Dedicated customer support</p>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="ps-promotions">
            <div class="container">
                <div class="row">
                    <div class="col-xl-4 col-lg-4 col-md-4 col-sm-12 col-12 "><a class="ps-collection" href="#">
                    <img src="{{ asset('frontend/img/promotions/art.png')}}" width="379" height="189" alt="" loading="lazy"></a>
                    </div>
                    <div class="col-xl-4 col-lg-4 col-md-4 col-sm-12 col-12 "><a class="ps-collection" href="#">
                    <img src="{{ asset('frontend/img/promotions/chairs.png')}}" alt="" width="379" height="189"  loading="lazy"></a>
                    </div>
                     <div class="col-xl-4 col-lg-4 col-md-4 col-sm-12 col-12 "><a class="ps-collection" href="#">
                    <img src="{{ asset('frontend/img/promotions/bag.png')}}" alt="" width="379" height="189"  loading="lazy"></a>
                    </div>
                </div>
            </div>
        </div>
        	@if(count($dproducts)>4)
        <div class="ps-deal-of-day">
            <div class="ps-container">
                <div class="ps-section__header">
                    <div class="ps-block--countdown-deal">
                        <div class="ps-block__left">
                            <h3>Deal of the day</h3>
                        </div>
                        <div class="ps-block__right">
                            <figure>
                                <figcaption>End in:</figcaption>
                                <ul class="ps-countdown" data-time="December 30, 2021 15:37:25">
                                    <li><span class="days"></span></li>
                                    <li><span class="hours"></span></li>
                                    <li><span class="minutes"></span></li>
                                    <li><span class="seconds"></span></li>
                                </ul>
                            </figure>
                        </div>
                    </div><a href="{{ route('view-products', ["sector"=>"all"]) }}">View all</a>
                </div>
                <div class="ps-section__content">
                    <div class="ps-carousel--nav owl-slider" data-owl-auto="true" 
                    data-owl-loop="true" data-owl-speed="5000" data-owl-gap="30" data-owl-nav="true" 
                    data-owl-dots="true" data-owl-item="5" data-owl-item-xs="2" data-owl-item-sm="3" 
                    data-owl-item-md="4" data-owl-item-lg="4" data-owl-item-xl="5" data-owl-duration="1000" 
                    data-owl-mousedrag="on">
                        @foreach($dproducts as $dproduct)
                        <div class="ps-product ps-product--inner">
                            <div class="ps-product__thumbnail">
                            <a href="{{ route('product-detail', ["id"=>$dproduct->id]) }}">
                            <img src="{{ asset("storage/img/products/$dproduct->img_photo_path")}}" width="155" height="155" alt="" loading="lazy"></a>
                                <div class="ps-product__badge">{{ $dproduct->discount_id }}</div>
                                <!--<ul class="ps-product__actions">
                                    <li><a href="{{ route('product-detail', ["id"=>$dproduct->id]) }}" 
                                    data-toggle="tooltip"
                                     data-placement="top" title="Read More"><i class="icon-bag2"></i></a></li>
                                    <li><a href="#" data-placement="top" title="Quick View" data-toggle="modal"
                                     data-target="#product-quickview{{ $dproduct->id }}">
									<i class="icon-eye"></i></a></li>
                                    <li><a href="#" data-toggle="tooltip" data-placement="top" title="Call now">
									<i class="icon-phone"></i></a></li>
                                </ul>-->
                            </div>
                            <div class="ps-product__container">
                            <a class="ps-product__vendor" href="{{ route('visit-store', ["id"=>$dproduct->user->slug]) }}">
                            {{ $dproduct->user->name }}</a>
                                <div class="ps-product__content">
                                <a class="ps-product__title" href="{{ route('product-detail', ["id"=>$dproduct->id ]) }}">{{ $dproduct->name }}</a>
                                    <div class="ps-product__rating">
                                        <select class="ps-rating" data-read-only="true">
                                            <option value="1">1</option>
                                            <option value="1">2</option>
                                            <option value="1">3</option>
                                            <option value="1">4</option>
                                            <option value="2">5</option>
                                        </select><span>04</span>
                                    </div>
                                  
                                </div>
                            </div>
                        </div>
                      @endforeach
                </div>
            </div>
        </div>
        @endif
        <br/>
        <div class="ps-section--gray">
            <div class="container">
            
            @if(count($aproducts)>0)
                <div class="ps-block--products-of-category">
                    <div class="ps-block__categories">
                        <h3>Arts & <br> Craft</h3>
                        <!--<ul>
                            <li><a href="#">Category name</a></li>
                            <li><a href="#">Category name</a></li>
                            <li><a href="#">Category name</a></li>
                            <li><a href="#">Category name</a></li>
                            <li><a href="#">Category name</a></li>
                            <li><a href="#">Category name</a></li>
                        </ul>-->
                        <a class="ps-block__more-link " href="{{ route('view-products', ["sector"=>"arts and craft"]) }}">View All</a>
                    </div>
                    <div class="ps-block__slider">
                        <div class="ps-carousel--product-box owl-slider" data-owl-auto="true" data-owl-loop="true"
                         data-owl-speed="7000" data-owl-gap="0" data-owl-nav="true" data-owl-dots="true" 
                         data-owl-item="1" data-owl-item-xs="1" data-owl-item-sm="1" data-owl-item-md="1" 
                         data-owl-item-lg="1" data-owl-duration="500" data-owl-mousedrag="off"><a href="#">
                         <img src="{{ asset('frontend/img/slider/sectors/artsandcrafts.png')}}" alt="" width="263" height="629" loading="lazy"></a>
                         <a href="#"><img src="{{ asset('frontend/img/slider/sectors/artsandcrafts2.png')}}" alt="" width="263" height="629" loading="lazy"></a>
                         </div>
                    </div>
                    <div class="ps-block__product-box">
                    	
                          @foreach($aproducts as $aproduct)
                        <div class="ps-product ps-product--simple">
                            <div class="ps-product__thumbnail">
                            <a href="{{ route('product-detail', ["id"=> $aproduct->id ]) }}">
                            <img src="{{ asset("storage/img/products/$aproduct->img_photo_path")}}" width="155" height="155" alt="" loading="lazy">
                            </a>
                            @if($aproduct->discount_id !="")
                                <div class="ps-product__badge">{{ $aproduct->discount_id }}%</div>
                            @endif
                               <!-- <ul class="ps-product__actions">
                                    <li><a href="{{ route('product-detail', ["id"=>$aproduct->id]) }}" 
                                    data-toggle="tooltip"
                                     data-placement="top" title="Read More"><i class="icon-bag2"></i></a></li>
                                    <li><a href="#" data-placement="top" title="Quick View" data-toggle="modal"
                                     data-target="#product-quickview{{ $aproduct->id }}">
									<i class="icon-eye"></i></a></li>
                                    <li><a href="#" data-toggle="tooltip" data-placement="top" title="Call now">
									<i class="icon-phone"></i></a></li>
                                </ul>-->
                            </div>
                            <div class="ps-product__container">
                                <div class="ps-product__content" data-mh="clothing">
                                <a class="ps-product__title" href="{{ route('product-detail', ["id"=> $aproduct->id ]) }}">
                              {{ $aproduct->name}}</a>
                                    <div class="ps-product__rating">
                                        <select class="ps-rating" data-read-only="true">
                                            <option value="1">1</option>
                                            <option value="1">2</option>
                                            <option value="1">3</option>
                                            <option value="1">4</option>
                                            <option value="2">5</option>
                                        </select>
                                    </div>
                                    <p>Sold By:<a href="{{ route('visit-store', ["id"=>$aproduct->user->slug]) }}">
                                    <strong>  {{ $aproduct->user->name}}</strong></a></p>
                                </div>
                            </div>
                        </div>
                        @endforeach
                       
                        
                    </div>
                </div>
 @endif

        @if(count($agriproducts)>0)
                <div class="ps-block--products-of-category">
                    <div class="ps-block__categories">
                        <h3>Agri-business</h3>
                        <ul>
                        </ul><a class="ps-block__more-link " href="{{ route('view-products', ["sector"=>"packaging"]) }}">View All</a>
                    </div>
                    <div class="ps-block__slider">
                        <div class="ps-carousel--product-box owl-slider" data-owl-auto="true" data-owl-loop="true" 
                        data-owl-speed="7000" data-owl-gap="0" data-owl-nav="true" data-owl-dots="true" data-owl-item="1" 
                        data-owl-item-xs="1" data-owl-item-sm="1" data-owl-item-md="1" data-owl-item-lg="1" 
                        data-owl-duration="500" data-owl-mousedrag="off"><a href="#">
                        <img src="{{ asset('frontend/img/slider/sectors/agribusiness.png')}}" alt="" width="263" height="629" loading="lazy"></a><a href="#">
                        <img src="{{ asset('frontend/img/slider/sectors/agribusiness2.png')}}" alt="" width="263" height="629" loading="lazy"></a>
                        </div>
                    </div>
                    <div class="ps-block__product-box">
                        
                          @foreach($agriproducts as $agriproduct)
                        <div class="ps-product ps-product--simple">
                            <div class="ps-product__thumbnail">
                            <a href="{{ route('product-detail', ["id"=> $agriproduct->id]) }}">
                            <img src="{{ asset("storage/img/products/$agriproduct->img_photo_path")}}" width="155" height="155" alt="" loading="lazy"></a>
                            @if($agriproduct->discount_id !="")
                                <div class="ps-product__badge">{{ $agriproduct->discount_id }}%</div>
                            @endif
                              <!--  <ul class="ps-product__actions">
                                    <li><a href="{{ route('product-detail', ["id"=>$agriproduct->id]) }}" 
                                    data-toggle="tooltip"
                                     data-placement="top" title="Read More"><i class="icon-bag2"></i></a></li>
                                    <li><a href="#" data-placement="top" title="Quick View" data-toggle="modal"
                                     data-target="#product-quickview{{ $agriproduct->id }}">
									<i class="icon-eye"></i></a></li>
                                    <li><a href="#" data-toggle="tooltip" data-placement="top" title="Call now">
									<i class="icon-phone"></i></a></li>
                                </ul>-->
                            </div>
                            <div class="ps-product__container">
                                <div class="ps-product__content" data-mh="clothing">
                                <a class="ps-product__title" href="{{ route('product-detail', ["id"=>$agriproduct->id]) }}">
                               {{ $agriproduct->name}}</a>
                                    <div class="ps-product__rating">
                                        <select class="ps-rating" data-read-only="true">
                                            <option value="1">1</option>
                                            <option value="1">2</option>
                                            <option value="1">3</option>
                                            <option value="1">4</option>
                                            <option value="2">5</option>
                                        </select>
                                    </div>
                                    <p>Sold By:<a href="{{ route('visit-store', ["id"=> $agriproduct->user->slug ]) }}"><strong>
                                    {{ $agriproduct->user->name}}</strong></a></p>
                                </div>
                            </div>
                        </div>
                @endforeach
                
                    </div>
                </div>
            @endif

                @if(count($cloproducts)>0)
                <div class="ps-block--products-of-category">
                    <div class="ps-block__categories">
                        <h3>Clothing</h3>
                        <ul>
                        </ul>
                        <a class="ps-block__more-link " 
                        href="{{ route('view-products', ["sector"=>"clothing"]) }}">View All</a>
                    </div>
                    <div class="ps-block__slider">
                        <div class="ps-carousel--product-box owl-slider" data-owl-auto="true" data-owl-loop="true" data-owl-speed="7000" data-owl-gap="0" 
                        data-owl-nav="true" data-owl-dots="true" data-owl-item="1" data-owl-item-xs="1" data-owl-item-sm="1" data-owl-item-md="1" 
                        data-owl-item-lg="1" data-owl-duration="500" data-owl-mousedrag="off"><a href="#">
                        <img src="{{ asset('frontend/img/slider/sectors/clothing.png')}}" alt="" width="263" height="629" loading="lazy"></a><a href="#">
                        <img src="{{ asset('frontend/img/slider/sectors/clothing2.png')}}" alt=""  width="263" height="629" loading="lazy"></a>
                        </div>
                    </div>
                    <div class="ps-block__product-box">
                        
                          @foreach($cloproducts as $cloproduct)
                        <div class="ps-product ps-product--simple">
                            <div class="ps-product__thumbnail">
                            <a href="{{ route('product-detail', ["id"=>$cloproduct->id]) }}">
                            <img src="{{ asset("storage/img/products/$cloproduct->img_photo_path")}}" width="155" height="155" alt="" loading="lazy"></a>
                                @if($cloproduct->discount_id !="")
                                <div class="ps-product__badge">{{ $cloproduct->discount_id }}%</div>
                            @endif
                               <!-- <ul class="ps-product__actions">
                                    <li><a href="{{ route('product-detail', ["id"=>$cloproduct->id]) }}" 
                                    data-toggle="tooltip"
                                     data-placement="top" title="Read More"><i class="icon-bag2"></i></a></li>
                                    <li><a href="#" data-placement="top" title="Quick View" data-toggle="modal"
                                     data-target="#product-quickview{{ $cloproduct->id }}">
									<i class="icon-eye"></i></a></li>
                                    <li><a href="#" data-toggle="tooltip" data-placement="top" title="Call now">
									<i class="icon-phone"></i></a></li>
                                </ul>-->
                            </div>
                            <div class="ps-product__container">
                                <div class="ps-product__content" data-mh="clothing">
                                <a class="ps-product__title" href="{{ route('product-detail', ["id"=> $cloproduct->id]) }}">
                               {{ $cloproduct->name}}</a>
                                    <div class="ps-product__rating">
                                        <select class="ps-rating" data-read-only="true">
                                            <option value="1">1</option>
                                            <option value="1">2</option>
                                            <option value="1">3</option>
                                            <option value="1">4</option>
                                            <option value="2">5</option>
                                        </select>
                                    </div>
                                    <p>Sold By:<a href="{{ route('visit-store', ["id"=> $cloproduct->user->slug ]) }}">
                                    <strong> {{ $cloproduct->user->name}}</strong></a></p>
                                </div>
                            </div>
                        </div>
                        @endforeach
                       
                        
                    </div>
                </div>
            @endif

  @if(count($conproducts)>0)
                <div class="ps-block--products-of-category">
                    <div class="ps-block__categories">
                        <h3>Construction</h3>
                        <ul>
                        </ul><a class="ps-block__more-link " href="{{ route('view-products', ["sector"=>"construction"]) }}">View All</a>
                    </div>
                    <div class="ps-block__slider">
                        <div class="ps-carousel--product-box owl-slider" data-owl-auto="true" data-owl-loop="true" data-owl-speed="7000" data-owl-gap="0" data-owl-nav="true" data-owl-dots="true" data-owl-item="1" data-owl-item-xs="1" data-owl-item-sm="1" data-owl-item-md="1" data-owl-item-lg="1" data-owl-duration="500" data-owl-mousedrag="off"><a href="#">
                         <img src="{{ asset('frontend/img/slider/sectors/construction.png')}}" alt="" width="263" height="629" loading="lazy"></a><a href="#">
                        <img src="{{ asset('frontend/img/slider/sectors/construction2.png')}}" alt="" width="263" height="629" loading="lazy"></a>
                        </div>
                    </div>
                    <div class="ps-block__product-box">
                       
                          @foreach($conproducts as $conproduct)
                        <div class="ps-product ps-product--simple">
                            <div class="ps-product__thumbnail">
                            <a href="{{ route('product-detail', ["id"=>$conproduct->id]) }}">
                            <img src="{{ asset("storage/img/products/$conproduct->img_photo_path")}}" width="155" height="155" alt="" loading="lazy"></a>
                                 @if($conproduct->discount_id !="")
                                <div class="ps-product__badge">{{ $conproduct->discount_id }}%</div>
                                 @endif
                               <!-- <ul class="ps-product__actions">
                                    <li><a href="{{ route('product-detail', ["id"=>$conproduct->id]) }}" 
                                    data-toggle="tooltip"
                                     data-placement="top" title="Read More"><i class="icon-bag2"></i></a></li>
                                    <li><a href="#" data-placement="top" title="Quick View" data-toggle="modal"
                                     data-target="#product-quickview{{ $conproduct->id }}">
									<i class="icon-eye"></i></a></li>
                                    <li><a href="#" data-toggle="tooltip" data-placement="top" title="Call now">
									<i class="icon-phone"></i></a></li>
                                </ul>-->
                            </div>
                            <div class="ps-product__container">
                                <div class="ps-product__content" data-mh="clothing">
                                <a class="ps-product__title" href="{{ route('product-detail', ["id"=> $conproduct->id]) }}">
                               {{ $conproduct->name}}</a>
                                    <div class="ps-product__rating">
                                        <select class="ps-rating" data-read-only="true">
                                            <option value="1">1</option>
                                            <option value="1">2</option>
                                            <option value="1">3</option>
                                            <option value="1">4</option>
                                            <option value="2">5</option>
                                        </select>
                                    </div>
                                    <p>Sold By:<a href="{{ route('visit-store', ["id"=> $conproduct->user->slug]) }}">
                                    <strong> {{ $conproduct->user->name}}</strong></a></p>
                                </div>
                            </div>
                        </div>
                        @endforeach
                        
                    </div>
                </div>
                @endif


  @if(count($icts)>0)
                <div class="ps-block--products-of-category">
                    <div class="ps-block__categories">
                        <h3>ICT</h3>
                        <ul>
                        </ul>
                        <a class="ps-block__more-link " href="{{ route('view-products', ["sector"=>"ict"]) }}">View All</a>
                    </div>
                    <div class="ps-block__slider">
                        <div class="ps-carousel--product-box owl-slider" data-owl-auto="true" 
                        data-owl-loop="true" data-owl-speed="7000" data-owl-gap="0" data-owl-nav="true" 
                        data-owl-dots="true" data-owl-item="1" data-owl-item-xs="1" data-owl-item-sm="1" 
                        data-owl-item-md="1" data-owl-item-lg="1" data-owl-duration="500" data-owl-mousedrag="off"><a href="#">
                         <img src="{{ asset('frontend/img/slider/sectors/ict.png')}}" alt="" width="263" height="629" loading="lazy"></a><a href="#">
                        <img src="{{ asset('frontend/img/slider/sectors/ict2.png')}}" alt="" width="263" height="629" loading="lazy"></a>
                        </div>
                    </div>
                    <div class="ps-block__product-box">
                   
                          @foreach($icts as $ict)
                        <div class="ps-product ps-product--simple">
                            <div class="ps-product__thumbnail">
                            <a href="{{ route('product-detail', ["id"=> $ict->id]) }}">
                            <img src="{{ asset("storage/img/products/$ict->img_photo_path")}}" width="155" height="155" alt="" loading="lazy"></a>
                                @if($ict->discount_id !="")
                                <div class="ps-product__badge">{{ $ict->discount_id }}%</div>
                            @endif
                                <!--<ul class="ps-product__actions">
                                    <li><a href="{{ route('product-detail', ["id"=>$ict->id]) }}" 
                                    data-toggle="tooltip"
                                     data-placement="top" title="Read More"><i class="icon-bag2"></i></a></li>
                                    <li><a href="#" data-placement="top" title="Quick View" data-toggle="modal"
                                     data-target="#product-quickview{{ $ict->id }}">
									<i class="icon-eye"></i></a></li>
                                    <li><a href="#" data-toggle="tooltip" data-placement="top" title="Call now">
									<i class="icon-phone"></i></a></li>
                                </ul>-->
                            </div>
                            <div class="ps-product__container">
                                <div class="ps-product__content" data-mh="clothing">
                                <a class="ps-product__title" href="{{ route('product-detail', ["id"=> $ict->id]) }}">
                               {{ $ict->name}}</a>
                                    <div class="ps-product__rating">
                                        <select class="ps-rating" data-read-only="true">
                                            <option value="1">1</option>
                                            <option value="1">2</option>
                                            <option value="1">3</option>
                                            <option value="1">4</option>
                                            <option value="2">5</option>
                                        </select>
                                    </div>
                                    <p>Sold By:<a href="{{ route('visit-store', ["id"=> $ict->user->slug ]) }}">
                                    <strong>{{ $ict->user->name}}</strong></a></p>
                                </div>
                           
                            </div>
                        </div>
                        @endforeach
                        
                    </div>
                </div>
                @endif


  @if(count($manuproducts)>0)
                  <div class="ps-block--products-of-category">
                    <div class="ps-block__categories">
                        <h3>Fresh Produce</h3>
                        <ul>
                        </ul><a class="ps-block__more-link " 
                        href="{{ route('view-products', ["sector"=>"fresh produce"]) }}">View All</a>
                    </div>
                    <div class="ps-block__slider">
                        <div class="ps-carousel--product-box owl-slider" data-owl-auto="true" data-owl-loop="true" 
                        data-owl-speed="7000" data-owl-gap="0" data-owl-nav="true" data-owl-dots="true" data-owl-item="1" 
                        data-owl-item-xs="1" data-owl-item-sm="1" data-owl-item-md="1" data-owl-item-lg="1" 
                        data-owl-duration="500" data-owl-mousedrag="off"><a href="#">
                        <img src="{{ asset('frontend/img/slider/sectors/freshproduce.png')}}" alt="" width="263" height="629" loading="lazy"></a><a href="#">
                        <img src="{{ asset('frontend/img/slider/sectors/freshproduce2.png')}}" alt="" width="263" height="629" loading="lazy"></a>
                        </div>
                    </div>
                    <div class="ps-block__product-box">
                    
                          @foreach($manuproducts as $manuproduct)
                        <div class="ps-product ps-product--simple">
                            <div class="ps-product__thumbnail">
                            <a href="{{ route('product-detail', ["id"=>$manuproduct->id]) }}">
                            <img src="{{ asset("storage/img/products/$manuproduct->img_photo_path")}}"  width="155" height="155" alt="" loading="lazy"></a>
                                @if($manuproduct->discount_id !="")
                                <div class="ps-product__badge">{{ $manuproduct->discount_id }}%</div>
                            @endif
                            </div>
                            <div class="ps-product__container">
                                <div class="ps-product__content" data-mh="clothing">
                                <a class="ps-product__title" href="{{ route('product-detail', ["id"=>$manuproduct->id]) }}">
                               {{ $manuproduct->name}}</a>
                                    <div class="ps-product__rating">
                                        <select class="ps-rating" data-read-only="true">
                                            <option value="1">1</option>
                                            <option value="1">2</option>
                                            <option value="1">3</option>
                                            <option value="1">4</option>
                                            <option value="2">5</option>
                                        </select>
                                    </div>
                                    <p>Sold By:<a href="{{ route('visit-store', ["id"=> $manuproduct->user->slug ]) }}">
                                    <strong> {{ $manuproduct->user->mame}}</strong></a></p>
                                </div>
                            </div>
                        </div>
                       @endforeach
                    </div>
                </div>
            @endif

    @if(count($furnitures)>0)
                <div class="ps-block--products-of-category">
                    <div class="ps-block__categories">
                        <h3>Furniture</h3>
                        <ul>
                        </ul><a class="ps-block__more-link " 
                        href="{{ route('view-products', ["sector"=>"furniture"]) }}">View All</a>
                    </div>
                    <div class="ps-block__slider">
                        <div class="ps-carousel--product-box owl-slider" data-owl-auto="true" data-owl-loop="true" 
                        data-owl-speed="7000" data-owl-gap="0" data-owl-nav="true" data-owl-dots="true" data-owl-item="1" 
                        data-owl-item-xs="1" data-owl-item-sm="1" data-owl-item-md="1" data-owl-item-lg="1" 
                        data-owl-duration="500" data-owl-mousedrag="off"><a href="#">
                         <img src="{{ asset('frontend/img/slider/sectors/furniture.png')}}" alt="" width="263" height="629" loading="lazy"></a><a href="#">
                        <img src="{{ asset('frontend/img/slider/sectors/furniture2.png')}}" alt="" width="263" height="629" loading="lazy"></a>
                        </div>
                    </div>
                    <div class="ps-block__product-box">
                   
                          @foreach($furnitures as $furniture)
                        <div class="ps-product ps-product--simple">
                            <div class="ps-product__thumbnail">
                            <a href="{{ route('product-detail', ["id"=>$furniture->id]) }}">
                            <img src="{{ asset("storage/img/products/$furniture->img_photo_path")}}" width="155" height="155" alt="" loading="lazy"></a>
                                 @if($furniture->discount_id !="")
                                <div class="ps-product__badge">{{ $furniture->discount_id }}%</div>
                            @endif
                                <!--<ul class="ps-product__actions">
                                    <li><a href="{{ route('product-detail', ["id"=>$furniture->id]) }}" 
                                    data-toggle="tooltip"
                                     data-placement="top" title="Read More"><i class="icon-bag2"></i></a></li>
                                    <li><a href="#" data-placement="top" title="Quick View" data-toggle="modal"
                                     data-target="#product-quickview{{ $furniture->id }}">
									<i class="icon-eye"></i></a></li>
                                    <li><a href="#" data-toggle="tooltip" data-placement="top" title="Call now">
									<i class="icon-phone"></i></a></li>
                                </ul>-->
                            </div>
                            <div class="ps-product__container">
                                <div class="ps-product__content" data-mh="clothing">
                                <a class="ps-product__title" href="{{ route('product-detail', ["id"=>$furniture->id]) }}">
                              {{ $furniture->name}}</a>
                                    <div class="ps-product__rating">
                                        <select class="ps-rating" data-read-only="true">
                                            <option value="1">1</option>
                                            <option value="1">2</option>
                                            <option value="1">3</option>
                                            <option value="1">4</option>
                                            <option value="2">5</option>
                                        </select>
                                    </div>
                                    <p>Sold By:<a href="{{ route('visit-store', ["id"=> $furniture->user->slug ]) }}">
                                    <strong> {{ $furniture->user->name}}</strong></a></p>
                                </div>
                            </div>
                        </div>
                        @endforeach
                        
                    </div>
                </div>
            @endif
              
         @if(count($fproducts)>0)
                <div class="ps-block--products-of-category">
                    <div class="ps-block__categories">
                        <h3>Processed Food</h3>
                        <ul>
                        </ul><a class="ps-block__more-link " 
                        href="{{ route('view-products', ["sector"=>"processed food"]) }}">View All
                        </a>
                    </div>
                    <div class="ps-block__slider">
                        <div class="ps-carousel--product-box owl-slider" data-owl-auto="true" data-owl-loop="true" 
                        data-owl-speed="7000" data-owl-gap="0" data-owl-nav="true" data-owl-dots="true" data-owl-item="1" 
                        data-owl-item-xs="1" data-owl-item-sm="1" data-owl-item-md="1" data-owl-item-lg="1"
                         data-owl-duration="500" data-owl-mousedrag="off"><a href="#">
                          <img src="{{ asset('frontend/img/slider/sectors/processedfood.png')}}" alt="" width="263" height="629" loading="lazy"></a><a href="#">
                        <img src="{{ asset('frontend/img/slider/sectors/processedfood2.png')}}" alt="" width="263" height="629" loading="lazy"></a>
                         </div>
                    </div>
                    <div class="ps-block__product-box">
                   
                          @foreach($fproducts as $fproduct)
                        <div class="ps-product ps-product--simple">
                            <div class="ps-product__thumbnail">
                            <a href="{{ route('product-detail', ["id"=>$fproduct->id]) }}">
                            <img src="{{ asset("storage/img/products/$fproduct->img_photo_path")}}"  width="155" height="155" alt="" loading="lazy"></a>
                                @if($fproduct->discount_id !="")
                                <div class="ps-product__badge">{{ $fproduct->discount_id }}%</div>
                            @endif
                               <!-- <ul class="ps-product__actions">
                                    <li><a href="{{ route('product-detail', ["id"=>$fproduct->id]) }}" 
                                    data-toggle="tooltip"
                                     data-placement="top" title="Read More"><i class="icon-bag2"></i></a></li>
                                    <li><a href="#" data-placement="top" title="Quick View" data-toggle="modal"
                                     data-target="#product-quickview{{ $fproduct->id }}">
									<i class="icon-eye"></i></a></li>
                                    <li><a href="#" data-toggle="tooltip" data-placement="top" title="Call now">
									<i class="icon-phone"></i></a></li>
                                </ul>-->
                            </div>
                            <div class="ps-product__container">
                                <div class="ps-product__content" data-mh="clothing">
                                <a class="ps-product__title" href="{{ route('product-detail', ["id"=>$fproduct->id]) }}">
                               {{ $fproduct->name}}</a>
                                    <div class="ps-product__rating">
                                        <select class="ps-rating" data-read-only="true">
                                            <option value="1">1</option>
                                            <option value="1">2</option>
                                            <option value="1">3</option>
                                            <option value="1">4</option>
                                            <option value="2">5</option>
                                        </select>
                                    </div>
                                    <p>Sold By:<a href="{{ route('visit-store', ["id"=> $fproduct->user->slug ]) }}">
                                    <strong> {{ $fproduct->user->mame}}</strong></a></p>
                                </div>
                            </div>
                        </div>
                       @endforeach
                       
                    </div>
                </div>
                @endif

             @if(count($services)>0)
                <div class="ps-block--products-of-category">
                    <div class="ps-block__categories">
                        <h3>Services</h3>
                        <ul>
                        </ul><a class="ps-block__more-link " 
                        href="{{ route('view-products', ["sector"=>"services"]) }}">View All</a>
                    </div>
                    <div class="ps-block__slider">
                        <div class="ps-carousel--product-box owl-slider" data-owl-auto="true" data-owl-loop="true" 
                        data-owl-speed="7000" data-owl-gap="0" data-owl-nav="true" data-owl-dots="true" data-owl-item="1" 
                        data-owl-item-xs="1" data-owl-item-sm="1" data-owl-item-md="1" data-owl-item-lg="1" 
                        data-owl-duration="500" data-owl-mousedrag="off"><a href="#">
                         <img src="{{ asset('frontend/img/slider/sectors/services.png')}}" alt="" width="263" height="629" loading="lazy"></a><a href="#">
                        <img src="{{ asset('frontend/img/slider/sectors/services2.png')}}" alt="" width="263" height="629" loading="lazy"></a>
                        </div>
                    </div>
                    <div class="ps-block__product-box">
                   
                          @foreach($services as $service)
                        <div class="ps-product ps-product--simple">
                            <div class="ps-product__thumbnail">
                            <a href="{{ route('product-detail', ["id"=>$service->id]) }}">
                            <img src="{{ asset("storage/img/products/$service->img_photo_path")}}" width="155" height="155"  alt="" loading="lazy"></a>
                                @if($service->discount_id !="")
                                <div class="ps-product__badge">{{ $service->discount_id }}%</div>
                            @endif
                               <!-- <ul class="ps-product__actions">
                                    <li><a href="{{ route('product-detail', ["id"=>$service->id]) }}" 
                                    data-toggle="tooltip"
                                     data-placement="top" title="Read More"><i class="icon-bag2"></i></a></li>
                                    <li><a href="#" data-placement="top" title="Quick View" data-toggle="modal"
                                     data-target="#product-quickview{{ $service->id }}">
									<i class="icon-eye"></i></a></li>
                                    <li><a href="#" data-toggle="tooltip" data-placement="top" title="Call now">
									<i class="icon-phone"></i></a></li>
                                </ul> -->
                            </div>
                            <div class="ps-product__container">
                                <div class="ps-product__content" data-mh="clothing">
                                <a class="ps-product__title" href="{{ route('product-detail', ["id"=>$service->id]) }}">
                               {{ $service->name}}</a>
                                    <div class="ps-product__rating">
                                        <select class="ps-rating" data-read-only="true">
                                            <option value="1">1</option>
                                            <option value="1">2</option>
                                            <option value="1">3</option>
                                            <option value="1">4</option>
                                            <option value="2">5</option>
                                        </select>
                                    </div>
                                    <p>Sold By:<a href="{{ route('visit-store', ["id"=> $service->user->slug ]) }}">
                                    <strong> {{ $service->user->mame}}</strong></a></p>
                                </div>
                            </div>
                        </div>
                        @endforeach
                    </div>
                </div>
           @endif
            </div>
        </div>   
@endsection('content')
  